#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,360,520,560,640,720,760,800,1080,1600,1640,1720,1880,2000,2160
 * N : 25,240,360,520,560,640,720,760,800,1080,1600,1640,1720,1880,2000,2160
 * NB : 9,9,9,12,48,16,16,60,40,40,16,64,40,40,16,72
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 440) (nb_) = 9; \
   else if ((n_) < 540) (nb_) = 12; \
   else if ((n_) < 600) (nb_) = 48; \
   else if ((n_) < 740) (nb_) = 16; \
   else if ((n_) < 780) (nb_) = 60; \
   else if ((n_) < 1340) (nb_) = 40; \
   else if ((n_) < 1620) (nb_) = 16; \
   else if ((n_) < 1680) (nb_) = 64; \
   else if ((n_) < 1940) (nb_) = 40; \
   else if ((n_) < 2080) (nb_) = 16; \
   else (nb_) = 72; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
